SDL_disabled_assert(3)

NAME
SDL_disabled_assert - The macro used when an assertion is disabled.

SYNOPSIS
#include <SDL3/SDL_assert.h>

#define SDL_disabled_assert(condition) \
    do { (void) sizeof ((condition)); } while (SDL_NULL_WHILE_LOOP_CONDITION)

DESCRIPTION
This isn't for direct use by apps, but this is the code that is inserted when an SDL_assert is disabled (perhaps in a release build).

The code does nothing, but wraps condition in a sizeof operator, which generates no code and has no side effects, but avoid compiler warnings about unused variables.

MACRO PARAMETERS

condition
    the condition to assert (but not actually run here).

AVAILABILITY
This macro is available since SDL 3.2.0.